package test;


import com.gyee.SpringbootStart;
import com.gyee.frame.common.conf.monitor.LeaderConfig;
import com.gyee.frame.common.conf.monitor.StatusConfig;
import com.gyee.frame.common.spring.SpringUtils;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
public class ConfigTest {

    public static void main(String[] args) {

        SpringApplication.run(SpringbootStart.class, args);

        LeaderConfig leader = SpringUtils.getBean(LeaderConfig.class);

        System.out.println(leader.getFDL());
        System.out.println(leader.getFS());
        System.out.println(leader.getGL());

        StatusConfig status = SpringUtils.getBean(StatusConfig.class);

        System.out.println(status.getFDL());
        System.out.println(status.getFS());
        System.out.println(status.getGL());
    }


}
